Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.transformer
Class AbstractXStreamTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageTransformer
              org.mule.module.xml.transformer.AbstractXStreamTransformer

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, BaseTransformer, MessageTransformer, Transformer

Direct Known Subclasses:
  ObjectToXml, XmlToObject

    public abstract class AbstractXStreamTransformer

extends AbstractMessageTransformer

`AbstractXStreamTransformer` is a base class for all XStream based transformers. It takes care of creating and configuring the XStream parser.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, logger, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractXStreamTransformer()`

Method Summary
`void` | `addAlias(String alias, Class aClass)`
`void` | `addConverter(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)`
`Object` | `clone()`
`Map<String,Class>` | `getAliases()`
`Set<Class<? extends com.thoughtworks.xstream.converters.Converter>>` | `getConverters()`
`String` | `getDriverClass()`
`com.thoughtworks.xstream.XStream` | `getXStream()`
`void` | `initialise()` Template method where deriving classes can do any initialisation after the properties have been set on this transformer
`boolean` | `removeAlias(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)`
`Class` | `removeAlias(String alias)`
`void` | `setAliases(Map<String,Class> aliases)`
`void` | `setConverters(Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> converters)`
`void` | `setDriverClass(String driverClass)`

Methods inherited from class org.mule.transformer.AbstractMessageTransformer
`checkReturnClass, doTransform, isSourceDataTypeSupported, transform, transform, transform, transformMessage`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transformer.Transformer
`getEncoding, getMimeType, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, setReturnClass, setReturnDataType, transform`

Methods inherited from interface org.mule.api.transformer.BaseTransformer
`getEndpoint, setEndpoint`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Constructor Detail

### AbstractXStreamTransformer

    public AbstractXStreamTransformer()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from class: `AbstractTransformer`
  Template method where deriving classes can do any initialisation after the properties have been set on this transformer

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractTransformer`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getXStream

    public final com.thoughtworks.xstream.XStream getXStream()
                                                      throws TransformerException

  Throws:
    `TransformerException`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### getDriverClass

    public String getDriverClass()

### setDriverClass

    public void setDriverClass(String driverClass)

### getAliases

    public Map<String,Class> getAliases()

### setAliases

    public void setAliases(Map<String,Class> aliases)

### getConverters

    public Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> getConverters()

### setConverters

    public void setConverters(Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> converters)

### addAlias

    public void addAlias(String alias,
                         Class aClass)

### removeAlias

    public Class removeAlias(String alias)

### addConverter

    public void addConverter(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)

### removeAlias

    public boolean removeAlias(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.